<?xml version="1.0" encoding="UTF-8"?>
<!--
/*
* Copyright 2014 - LAit SpA
*				 Realizzato da Icona Management srl su commessa LAit SpA
* Copyright 2015- LAit SpA
*                                                  Aggiornato da LAit SpA
*
* Concesso in licenza a norma dell'EUPL, versione 1.1 o
* successive dell'EUPL (la "Licenza")– non appena saranno
* approvate dalla Commissione europea;
* Non è possibile utilizzare l'opera salvo nel rispetto della Licenza.
* È possibile ottenere una copia della Licenza al seguente indirizzo:
*
* http://ec.europa.eu/idabc/eupl
*
* Salvo diversamente indicato dalla legge applicabile o
* concordato per iscritto, il software distribuito secondo
* i termini della Licenza è distribuito "TAL QUALE",
* SENZA GARANZIE O CONDIZIONI DI ALCUN TIPO,
* esplicite o implicite.
* Si veda la Licenza per la lingua specifica che disciplina
* le autorizzazioni e le limitazioni secondo i termini della
* Licenza.
*/
-->
<!-- =========== FULL CONFIGURATION FILE ================================== -->
<faces-config version="1.2" xmlns="http://java.sun.com/xml/ns/javaee"
 xmlns:xi="http://www.w3.org/2001/XInclude"
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-facesconfig_1_2.xsd">
 <navigation-rule>
  <from-view-id>*</from-view-id>
  <navigation-case>
   <from-outcome>streaming_content</from-outcome>
   <to-view-id>/common/streaming/stream.xhtml</to-view-id>
   <redirect/>
  </navigation-case>
  <navigation-case>
   <from-outcome>streaming_content_direct</from-outcome>
   <to-view-id>/common/streaming/StreamingServlet</to-view-id>
   <redirect/>
  </navigation-case>
  <navigation-case>
   <from-outcome>menu_dettaglio</from-outcome>
   <to-view-id>/private/fatturazione/anagrafica.xhtml</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>menu_fatturesdi</from-outcome>
   <to-view-id>/private/fatturazione/searchfatture.xhtml</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>menu_nuovasdi</from-outcome>
   <to-view-id>/private/fatturazione/lotto/fattura.xhtml</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>menu_flussisdi</from-outcome>
   <to-view-id>/private/fatturazione/lotto/searchflussi.xhtml</to-view-id>
  </navigation-case>
 </navigation-rule>
 <navigation-rule>
  <from-view-id>/private/fatturazione/searchfatture.xhtml</from-view-id>
  <navigation-case>
   <from-outcome>success</from-outcome>
   <to-view-id>/private/fatturazione/list.xhtml</to-view-id>
  </navigation-case>
 </navigation-rule>
 <navigation-rule>
  <from-view-id>/private/fatturazione/searchsoggetti.xhtml</from-view-id>
  <navigation-case>
   <from-outcome>success</from-outcome>
   <to-view-id>/private/fatturazione/listsoggetti.xhtml</to-view-id>
  </navigation-case>
 </navigation-rule>
 <navigation-rule>
  <from-view-id>/private/fatturazione/lotto/searchflussi.xhtml</from-view-id>
  <navigation-case>
   <from-outcome>success</from-outcome>
   <to-view-id>/private/fatturazione/lotto/listaflussi.xhtml</to-view-id>
  </navigation-case>
 </navigation-rule>
 <navigation-rule>
  <from-view-id>/private/fatturazione/lotto/fattura.xhtml</from-view-id>
  <navigation-case>
   <from-outcome>success</from-outcome>
   <to-view-id>/private/fatturazione/lotto/lottodone.xhtml</to-view-id>
  </navigation-case>
 </navigation-rule>
 <navigation-rule>
  <from-view-id>/private/fatturazione/lotto/listaflussi.xhtml</from-view-id>
  <navigation-case>
   <from-outcome>editlottosdi</from-outcome>
   <to-view-id>/private/fatturazione/lotto/fattura.xhtml</to-view-id>
  </navigation-case>
 </navigation-rule>
</faces-config>
